Package org.opensaml.xmlsec.encryption.support

# Class EncryptionConstants

java.lang.Object
org.opensaml.xmlsec.encryption.support.EncryptionConstants

public final class EncryptionConstants extends Object
Constants defined in or related to the XML Encryption 1.0 and 1.1 specifications.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGO_ID_BLOCKCIPHER_AES128`
Block Encryption - REQUIRED AES-128.
`static final String`
`ALGO_ID_BLOCKCIPHER_AES128_GCM`
Block Encryption - REQUIRED AES128-GCM.
`static final String`
`ALGO_ID_BLOCKCIPHER_AES192`
Block Encryption - OPTIONAL AES-192.
`static final String`
`ALGO_ID_BLOCKCIPHER_AES192_GCM`
Block Encryption - OPTIONAL AES192-GCM.
`static final String`
`ALGO_ID_BLOCKCIPHER_AES256`
Block Encryption - REQUIRED AES-256.
`static final String`
`ALGO_ID_BLOCKCIPHER_AES256_GCM`
Block Encryption - OPTIONAL AES256-GCM.
`static final String`
`ALGO_ID_BLOCKCIPHER_TRIPLEDES`
Block Encryption - REQUIRED TRIPLEDES.
`static final String`
`ALGO_ID_DIGEST_RIPEMD160`
Message Digest - OPTIONAL RIPEMD-160.
`static final String`
`ALGO_ID_DIGEST_SHA256`
Message Digest - REQUIRED SHA256.
`static final String`
`ALGO_ID_DIGEST_SHA512`
Message Digest - OPTIONAL SHA512.
`static final String`
`ALGO_ID_KEYAGREEMENT_DH`
Key Agreement - OPTIONAL Diffie-Hellman with Legacy Key Derivation Function.
`static final String`
`ALGO_ID_KEYAGREEMENT_DH_EXPLICIT_KDF`
Key Agreement - Diffie-Hellman with Explicit Key Derivation Function.
`static final String`
`ALGO_ID_KEYAGREEMENT_ECDH_ES`
Key Agreement - Elliptic Curve Diffie-Hellman (ECDH) Ephemeral-Static Mode.
`static final String`
`ALGO_ID_KEYDERIVATION_CONCATKDF`
Key Derivation Method - ConcatKDF.
`static final String`
`ALGO_ID_KEYDERIVATION_PBKDF2`
Key Derivation Method - PBKDF2.
`static final String`
`ALGO_ID_KEYTRANSPORT_RSA15`
Key Transport - OPTIONAL RSA-v1.5.
`static final String`
`ALGO_ID_KEYTRANSPORT_RSAOAEP`
Key Transport - REQUIRED RSA-OAEP (including MGF1 with SHA1).
`static final String`
`ALGO_ID_KEYTRANSPORT_RSAOAEP11`
Key Transport - OPTIONAL RSA-OAEP.
`static final String`
`ALGO_ID_KEYWRAP_AES128`
Symmetric Key Wrap - REQUIRED AES-128 KeyWrap.
`static final String`
`ALGO_ID_KEYWRAP_AES192`
Symmetric Key Wrap - OPTIONAL AES-192 KeyWrap.
`static final String`
`ALGO_ID_KEYWRAP_AES256`
Symmetric Key Wrap - REQUIRED AES-256 KeyWrap.
`static final String`
`ALGO_ID_KEYWRAP_TRIPLEDES`
Symmetric Key Wrap - REQUIRED TRIPLEDES KeyWrap.
`static final String`
`ALGO_ID_MGF1_SHA1`
Mask Generation Function - MGF1 with SHA-1.
`static final String`
`ALGO_ID_MGF1_SHA224`
Mask Generation Function - MGF1 with SHA-224.
`static final String`
`ALGO_ID_MGF1_SHA256`
Mask Generation Function - MGF1 with SHA-256.
`static final String`
`ALGO_ID_MGF1_SHA384`
Mask Generation Function - MGF1 with SHA-384.
`static final String`
`ALGO_ID_MGF1_SHA512`
Mask Generation Function - MGF1 with SHA-512.
`static final String`
`TYPE_CONTENT`
URI for Content.
`static final String`
`TYPE_DERIVED_KEY`
URI for DerivedKey.
`static final String`
`TYPE_DH_KEY_VALUE`
URI for DHKeyValue.
`static final String`
`TYPE_EC_KEY_VALUE`
URI for ECKeyValue.
`static final String`
`TYPE_ELEMENT`
URI for Element.
`static final String`
`TYPE_ENCRYPTED_KEY`
URI for EncryptedKey.
`static final String`
`TYPE_ENCRYPTION_PROPERTIES`
URI for EncryptionProperties.
`static final String`
`TYPE_KEYINFO_DH_KEYVALUE`
URI for DHKeyValue.
`static final String`
`XMLENC_NS`
XML Encryption namespace.
`static final String`
`XMLENC_PREFIX`
XML Encryption QName prefix.
`static final String`
`XMLENC11_NS`
XML Encryption 1.1 namespace.
`static final String`
`XMLENC11_PREFIX`
XML Encryption 1.1 QName prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EncryptionConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XMLENC_NS

@Nonnull @NotEmpty public static final String XMLENC_NS
XML Encryption namespace.

See Also:
  - Constant Field Values

### XMLENC_PREFIX

@Nonnull @NotEmpty public static final String XMLENC_PREFIX
XML Encryption QName prefix.

See Also:
  - Constant Field Values

### TYPE_CONTENT

@Nonnull @NotEmpty public static final String TYPE_CONTENT
URI for Content.

See Also:
  - Constant Field Values

### TYPE_ELEMENT

@Nonnull @NotEmpty public static final String TYPE_ELEMENT
URI for Element.

See Also:
  - Constant Field Values

### TYPE_ENCRYPTION_PROPERTIES

@Nonnull @NotEmpty public static final String TYPE_ENCRYPTION_PROPERTIES
URI for EncryptionProperties.

See Also:
  - Constant Field Values

### TYPE_ENCRYPTED_KEY

@Nonnull @NotEmpty public static final String TYPE_ENCRYPTED_KEY
URI for EncryptedKey.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_DH_KEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_DH_KEYVALUE
URI for DHKeyValue.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_TRIPLEDES

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_TRIPLEDES
Block Encryption - REQUIRED TRIPLEDES.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES128

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES128
Block Encryption - REQUIRED AES-128.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES256

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES256
Block Encryption - REQUIRED AES-256.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES192

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES192
Block Encryption - OPTIONAL AES-192.

See Also:
  - Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSA15

@Nonnull @NotEmpty public static final String ALGO_ID_KEYTRANSPORT_RSA15
Key Transport - OPTIONAL RSA-v1.5.

See Also:
  - Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSAOAEP

@Nonnull @NotEmpty public static final String ALGO_ID_KEYTRANSPORT_RSAOAEP
Key Transport - REQUIRED RSA-OAEP (including MGF1 with SHA1).

See Also:
  - Constant Field Values

### ALGO_ID_KEYAGREEMENT_DH

@Nonnull @NotEmpty public static final String ALGO_ID_KEYAGREEMENT_DH
Key Agreement - OPTIONAL Diffie-Hellman with Legacy Key Derivation Function.

See Also:
  - Constant Field Values

### TYPE_DH_KEY_VALUE

@Nonnull @NotEmpty public static final String TYPE_DH_KEY_VALUE
URI for DHKeyValue.

See Also:
  - Constant Field Values

### ALGO_ID_KEYWRAP_TRIPLEDES

@Nonnull @NotEmpty public static final String ALGO_ID_KEYWRAP_TRIPLEDES
Symmetric Key Wrap - REQUIRED TRIPLEDES KeyWrap.

See Also:
  - Constant Field Values

### ALGO_ID_KEYWRAP_AES128

@Nonnull @NotEmpty public static final String ALGO_ID_KEYWRAP_AES128
Symmetric Key Wrap - REQUIRED AES-128 KeyWrap.

See Also:
  - Constant Field Values

### ALGO_ID_KEYWRAP_AES256

@Nonnull @NotEmpty public static final String ALGO_ID_KEYWRAP_AES256
Symmetric Key Wrap - REQUIRED AES-256 KeyWrap.

See Also:
  - Constant Field Values

### ALGO_ID_KEYWRAP_AES192

@Nonnull @NotEmpty public static final String ALGO_ID_KEYWRAP_AES192
Symmetric Key Wrap - OPTIONAL AES-192 KeyWrap.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA256
Message Digest - REQUIRED SHA256.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA512
Message Digest - OPTIONAL SHA512.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_RIPEMD160

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_RIPEMD160
Message Digest - OPTIONAL RIPEMD-160.

See Also:
  - Constant Field Values

### XMLENC11_NS

@Nonnull @NotEmpty public static final String XMLENC11_NS
XML Encryption 1.1 namespace.

See Also:
  - Constant Field Values

### XMLENC11_PREFIX

@Nonnull @NotEmpty public static final String XMLENC11_PREFIX
XML Encryption 1.1 QName prefix.

See Also:
  - Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSAOAEP11

@Nonnull @NotEmpty public static final String ALGO_ID_KEYTRANSPORT_RSAOAEP11
Key Transport - OPTIONAL RSA-OAEP.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES128_GCM

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES128_GCM
Block Encryption - REQUIRED AES128-GCM.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES192_GCM

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES192_GCM
Block Encryption - OPTIONAL AES192-GCM.

See Also:
  - Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES256_GCM

@Nonnull @NotEmpty public static final String ALGO_ID_BLOCKCIPHER_AES256_GCM
Block Encryption - OPTIONAL AES256-GCM.

See Also:
  - Constant Field Values

### ALGO_ID_MGF1_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_MGF1_SHA1
Mask Generation Function - MGF1 with SHA-1.

See Also:
  - Constant Field Values

### ALGO_ID_MGF1_SHA224

@Nonnull @NotEmpty public static final String ALGO_ID_MGF1_SHA224
Mask Generation Function - MGF1 with SHA-224.

See Also:
  - Constant Field Values

### ALGO_ID_MGF1_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_MGF1_SHA256
Mask Generation Function - MGF1 with SHA-256.

See Also:
  - Constant Field Values

### ALGO_ID_MGF1_SHA384

@Nonnull @NotEmpty public static final String ALGO_ID_MGF1_SHA384
Mask Generation Function - MGF1 with SHA-384.

See Also:
  - Constant Field Values

### ALGO_ID_MGF1_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_MGF1_SHA512
Mask Generation Function - MGF1 with SHA-512.

See Also:
  - Constant Field Values

### TYPE_DERIVED_KEY

@Nonnull @NotEmpty public static final String TYPE_DERIVED_KEY
URI for DerivedKey.

See Also:
  - Constant Field Values

### TYPE_EC_KEY_VALUE

@Nonnull @NotEmpty public static final String TYPE_EC_KEY_VALUE
URI for ECKeyValue.

See Also:
  - Constant Field Values

### ALGO_ID_KEYAGREEMENT_DH_EXPLICIT_KDF

@Nonnull @NotEmpty public static final String ALGO_ID_KEYAGREEMENT_DH_EXPLICIT_KDF
Key Agreement - Diffie-Hellman with Explicit Key Derivation Function.

See Also:
  - Constant Field Values

### ALGO_ID_KEYAGREEMENT_ECDH_ES

@Nonnull @NotEmpty public static final String ALGO_ID_KEYAGREEMENT_ECDH_ES
Key Agreement - Elliptic Curve Diffie-Hellman (ECDH) Ephemeral-Static Mode.

See Also:
  - Constant Field Values

### ALGO_ID_KEYDERIVATION_CONCATKDF

@Nonnull @NotEmpty public static final String ALGO_ID_KEYDERIVATION_CONCATKDF
Key Derivation Method - ConcatKDF.

See Also:
  - Constant Field Values

### ALGO_ID_KEYDERIVATION_PBKDF2

@Nonnull @NotEmpty public static final String ALGO_ID_KEYDERIVATION_PBKDF2
Key Derivation Method - PBKDF2.

See Also:
  - Constant Field Values

## Constructor Details

### EncryptionConstants

private EncryptionConstants()
Constructor.